@import "CssWorkgroup";

.topbar {
    position: relative;
    top: 0;
    left: 0;
    width: 100vw;
    height: $topbar-height;

    background: $color-dark;
    box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .4);

    &.-fix {
        position: fixed;
        z-index: map_get($z-index, 'topbar');
    }

    > .container {
        height: 100%;
        @include _containerHelper('full', 0px);
        @include _display-flex(flex, center, space-between, row);

        .-spacer {
            flex: 1;
        }

        > .user {
            margin-right: 1px;
            @include _display-flex(flex, center, center);
            width: $topbar-height;
            height: $topbar-height;

            @include _font-size($font-size-4);
            background: darken($color-dark, 4%);
            color: color-gray(4);

            &.-login {
                color: $color-success;
            }

            &.-admin {
                color: $color-admin;
            }
        }
    }

    .brand {
        width: $topbar-height;
        height: $topbar-height;
    }

    .scoreboard-wrapper {
        @include _display-flex(flex, center, flex-start, row);
        @include _list-child-margin(10px, '*', 'right');
    }
}

.topbar--spacer {
    position: relative;
    width: 100%;
    height: $topbar-height;
}
